.modal--sliding-menu{
    width: 88px;
    height: 88px;
    padding: 16px;
    justify-content: flex-end;
    align-items: flex-end;
    
}

.modal--visible.modal--sliding-menu{
    width: 100%;
    height: 100%;
    background-color: var(--text-secundary);
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
}
.modal--hidden.modal--sliding-menu{
    animation-duration: 0.9s;
}
.sliding-menu{
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
    gap: 16px;
    height: 0;
    width: 0;
    overflow: hidden;
}
.modal--visible .sliding-menu{
    height: auto;
    width: 100%;
}
.modal--hidden .sliding-menu{
    animation: keepSize 0.8s;
}

.sliding-menu__option {
    position: relative;
    margin: 0;
    gap: 20px;
    padding: 0 0 5px 5px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font: var(--f-control-large);
    background-color: transparent;
    border: none;
    border-bottom: 4px solid transparent;
    transition: background-color 0.4s ease-in-out;
    cursor: pointer;
}

.sliding-menu__option:hover{
    border-bottom: 4px solid rgba(242, 248, 255, 0.3);
}
.sliding-menu__option:hover::after{
    content: "";
    position: absolute;
    bottom: -4px;
    left: 0;
    padding: 2px;
    width: 100%;
    background-color: var(--dark-blue);
    animation: widthGrow 0.4s ease-in-out;
}

.modal--visible .sliding-menu__option:nth-child(1) {
    animation: slidingIn 0.3s ease-in-out;
}

.modal--visible .sliding-menu__option:nth-child(2) {
    animation: slidingIn 0.5s ease-in-out;
}

.modal--visible .sliding-menu__option:nth-child(3) {
    animation: slidingIn 0.7s ease-in-out;
}

.modal--visible .sliding-menu__option:nth-child(4) {
    animation: slidingIn 0.9s ease-in-out;
}

.modal--visible .sliding-menu__option:nth-child(5) {
    animation: slidingIn 1.1s ease-in-out;
}
.modal--hidden .sliding-menu__option:nth-child(1) {
    animation: slidingOut  1s ease-in-out;
}

.modal--hidden .sliding-menu__option:nth-child(2) {
    animation: slidingOut 1.2s ease-in-out;
}

.modal--hidden .sliding-menu__option:nth-child(3) {
    animation: slidingOut 1.4s ease-in-out;
}

.modal--hidden .sliding-menu__option:nth-child(4) {
    animation: slidingOut 1.6s ease-in-out;
}

.modal--hidden .sliding-menu__option:nth-child(5) {
    animation: slidingOut 1.8s ease-in-out;
}

.sliding-menu__option__txt {
    position: relative;
    left: 0;
    padding: 4px 8px;
    font: var(--f-control-large);
    text-transform: uppercase;
    text-decoration: none;
    color: var(--white);
    border-radius: 8px;
    transition: color 0.4s ease-in-out, left 0.3s ease-in-out, font-weight 0.3s ease-in-out;
}


.sliding-menu__option:hover .sliding-menu__option__txt {
    left: -8px;
}
.sliding-menu__option__icn{
    padding: 0;
}
.sliding-menu__option__icn::before {
    mask-size: 70%;
    height: 48px;
    width: 48px;
    background-color: var(--primary);
    box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.20), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12);
    transition: mask-size 0.3s ease-in-out, transform 0.5s ease-in-out;
}

.sliding-menu__option:hover .sliding-menu__option__icn::before{
    transform: rotate(-4deg);
    mask-size: 75%;
}

.sliding-menu__option:hover .sliding-menu__option__icn *{
    fill: #001238;
}

.sliding-menu__ctrl{
    position: relative;
    width: 56px;
    height: 56px;
    padding: 16px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--primary);
    border-radius: 40px;
    border: none;
    box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.20), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12);
    transition: transform 0.9s ease-in-out, background-color 0.3s ease-in-out;
    cursor: pointer;
    margin: 0;
    transform: rotate(45deg);
}
.sliding-menu__ctrl.icon--small::before{
    -webkit-mask-size:100%;
    mask-size:100%;
    padding: 0;
}

.modal--visible .sliding-menu__ctrl {
    background-color: var(--dark-blue);
    transform: rotate(-360deg);
}
.sliding-menu__ctrl:hover{
    background-color:#EF3340 ;
}
.modal--visible .sliding-menu__ctrl:active , .modal--visible .sliding-menu__ctrl:focus {
    background-color: var(--dark-blue);
}
.modal--hidden .sliding-menu__ctrl:active , .modal--hidden .sliding-menu__ctrl:focus {
    background-color: var(--primary);
}


@media (max-height:450px) {
    .sliding-menu {
        flex-direction: row;
        justify-content:space-around;
    }
    .sliding-menu__option {
        padding: 2px 5px;
        gap: 5px;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        font: var(--f-control-small);
        
    }
    .sliding-menu__option__txt {
        padding: 0;
        font: var(--f-control-small);

    }
    .sliding-menu__option:hover .sliding-menu__option__txt{
        left: 0;
        font-weight: 600;
    }

}